package com.koobietech.eas.dao.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

/**
 * @author lc
 */
@Data
public class EasArcTlsStudentsDto {

    @Schema(description = "对应的文件档案号")
    @Excel(name = "文件档案号")
    private String archiveNumber;

    @Excel(name = "学生档案号")
    @Schema(description = "归属的学员档案号")
    private String studentNumber;

    @Excel(name =  "学生姓名")
    @Schema(description = "学生姓名")
    private String studentName;

    @Excel(name = "学生性别", replace = { "男_M", "女_F" } )
    @Schema(description = "学生性别")
    private String gender;

    @Excel(name = "出生日期")
    @Schema(description = "学生出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthdate;

    @Excel(name = "学生居住地")
    @Schema(description = "学生居住地址")
    private String address;

    @Excel(name = "学生联系电话")
    @Schema(description = "学生联系电话")
    private String phone;

    @Excel(name = "学生电子邮箱")
    @Schema(description = "学生电子邮箱")
    private String email;

    @Excel(name = "学生入学进入培训班日期", importFormat = "yyyy-MM-dd" )
    @Schema(description = "学生入学进入培训班日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date enrollmentDate;

    @Schema(description = "学生在培训班毕业日期")
    @Excel(name = "学生在培训班毕业日期", importFormat = "yyyy-MM-dd" )
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date graduationDate;

    @Excel(name = "学生培训时年级")
    @Schema(description = "学生年级")
    private Integer grade;

    @Excel(name = "学生专业")
    @Schema(description = "学生专业")
    private String major;

    @Excel(name = "学生辅修专业")
    @Schema(description = "学生辅修专业")
    private String minor;

    @Excel(name = "学生所在学校")
    @Schema(description = "学生所在学校")
    private String university;

    @ExcelIgnore
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    @ExcelIgnore
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    @Excel(name = "招生老师ID")
    @Schema(description = "招生老师")
    private Integer admissionsId;

    @Excel(name = "直属负责人ID")
    @Schema(description = "直属负责人ID")
    private Integer managerId;

    @ExcelIgnore
    @Schema(description = "创建用户ID")
    private Integer createUid;

    @Schema(description = "学生身份证号")
    @Excel(name = "学生身份证号")
    private String studentIdnumber;

}