package com.koobietech.eas.dao.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class SchedulePojo {

    private Long id;

    @Schema(description = "当周周几")
    private Integer week;

    @Schema(description = "起始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date startTime;

    @Schema(description = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date endTime;

    @Schema(description = "教室ID")
    private Integer roomId;

    @Schema(description = "教室")
    private String classroom;

    @Schema(description = "班级ID")
    private Integer classId;

    @Schema(description = "班级")
    private String className;

    @Schema(description = "助教ID")
    private Integer assistantId;

    @Schema(description = "助教")
    private String assistantName;

    @Schema(description = "教师ID")
    private Integer teacherId;

    @Schema(description = "教师")
    private String teacherName;

    @Schema(description = "授课类别")
    private Integer categoryId;

    @Schema(description = "授课")
    private String category;

    @Schema(description = "授课内容")
    private Integer subjectsId;

    @Schema(description = "内容")
    private String subjects;

    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    @Schema(description = "创建用户ID")
    private Integer createUid;

    @Schema(description = "状态")
    private String disabled;

}
