/*
 Navicat Premium Data Transfer

 Source Server         : local
 Source Server Type    : MySQL
 Source Server Version : 80016 (8.0.16)
 Source Host           : 127.0.0.1:13306
 Source Schema         : eas

 Target Server Type    : MySQL
 Target Server Version : 80016 (8.0.16)
 File Encoding         : 65001

 Date: 08/09/2023 16:53:40
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for eas_arc_archives
-- ----------------------------
DROP TABLE IF EXISTS `eas_arc_archives`;
CREATE TABLE `eas_arc_archives`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `archive_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件电子档案号',
  `student_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '当前电子档案归属那一个学员档案下',
  `file_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件存储的路径',
  `arctype` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '档案类型',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件备注',
  `filetype` enum('other','attendance','scores','prefile','avatar') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '文件类型',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `validity_time` datetime NULL DEFAULT NULL COMMENT '档案有效期截至时间',
  `manager_id` int(11) NULL DEFAULT NULL COMMENT '档案归属负责人',
  `create_date` date NULL DEFAULT NULL COMMENT '档案创建时间, 用于文件归档用',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 202 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '文件档案表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_arc_archives
-- ----------------------------
INSERT INTO `eas_arc_archives` VALUES (147, 'SAXB9BD493416974823732714', 'STXB9BD493436M202710212b5', 'C:\\Users\\lc/archivesFiles\\STXB9BD493436M202710212b5\\SAXB9BD493416974823732714.xlsx', 'XLSX', NULL, 'scores', '2023-09-01 13:31:50', '2023-09-01 13:31:50', '2025-05-01 08:00:00', 0, NULL, 0);
INSERT INTO `eas_arc_archives` VALUES (148, 'SAX630A821316974823745314', 'STX630A821336M20261021224', 'C:\\Users\\lc/archivesFiles\\STX630A821336M20261021224\\SAX630A821316974823745314.xlsx', 'XLSX', NULL, 'scores', '2023-09-01 13:31:50', '2023-09-01 13:31:50', '2025-05-01 08:00:00', 0, NULL, 0);
INSERT INTO `eas_arc_archives` VALUES (150, 'SAXCA7A837916974823757114', 'STXCA7A837920M20271021212', 'C:\\Users\\lc/archivesFiles\\STXCA7A837920M20271021212\\SAXCA7A837916974823757114.xlsx', 'XLSX', NULL, 'scores', '2023-09-01 13:31:51', '2023-09-01 13:31:51', '2025-05-01 08:00:00', 0, NULL, 0);
INSERT INTO `eas_arc_archives` VALUES (151, 'SAXB9BD493416974823761014', 'STXB9BD493436M202710212b5', 'C:\\Users\\lc/archivesFiles\\STXB9BD493436M202710212b5\\SAXB9BD493416974823761014.xlsx', 'XLSX', NULL, 'attendance', '2023-09-01 13:31:51', '2023-09-01 13:31:51', '2025-05-01 08:00:00', 0, NULL, 0);
INSERT INTO `eas_arc_archives` VALUES (152, 'SAX630A821316974823765514', 'STX630A821336M20261021224', 'C:\\Users\\lc/archivesFiles\\STX630A821336M20261021224\\SAX630A821316974823765514.xlsx', 'XLSX', NULL, 'attendance', '2023-09-01 13:31:51', '2023-09-01 13:31:51', '2025-05-01 08:00:00', 0, NULL, 0);
INSERT INTO `eas_arc_archives` VALUES (154, 'SAXCA7A837916974823773014', 'STXCA7A837920M20271021212', 'C:\\Users\\lc/archivesFiles\\STXCA7A837920M20271021212\\SAXCA7A837916974823773014.xlsx', 'XLSX', NULL, 'attendance', '2023-09-01 13:31:51', '2023-09-01 13:31:51', '2025-05-01 08:00:00', 0, NULL, 0);
INSERT INTO `eas_arc_archives` VALUES (155, 'SAXB9BD493416974823788615', 'STXB9BD493436M202710212b5', 'C:\\Users\\lc/archivesFiles\\STXB9BD493436M202710212b5\\SAXB9BD493416974823788615.docx', 'DOCX', NULL, 'prefile', NULL, '2023-09-01 13:31:52', '2028-09-01 13:31:52', NULL, '2023-09-01', 0);
INSERT INTO `eas_arc_archives` VALUES (156, 'SAX630A821316974823794015', 'STX630A821336M20261021224', 'C:\\Users\\lc/archivesFiles\\STX630A821336M20261021224\\SAX630A821316974823794015.docx', 'DOCX', NULL, 'prefile', NULL, '2023-09-01 13:31:52', '2028-09-01 13:31:52', 1, '2023-09-01', 0);
INSERT INTO `eas_arc_archives` VALUES (162, 'SAXCA7A837916974823805115', 'STXCA7A837920M20271021212', 'C:\\Users\\lc/archivesFiles\\STXCA7A837920M20271021212\\SAXCA7A837916974823805115.pdf', 'PDF', NULL, 'other', '2023-09-01 10:51:30', '2023-09-01 10:59:06', NULL, NULL, NULL, NULL);
INSERT INTO `eas_arc_archives` VALUES (167, 'SAXD6E3367516987373344831', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\other\\SAXD6E3367516987373344831.jpg', 'IMAGE', '烦烦烦', 'other', '2023-09-05 00:38:41', '2023-09-05 00:38:41', NULL, 0, '2023-09-05', 0);
INSERT INTO `eas_arc_archives` VALUES (168, 'SAXD6E3367516987396463313', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\other\\SAXD6E3367516987396463313.pptx', 'PPTX', 'pptx', 'other', '2023-09-05 00:48:01', '2023-09-05 00:48:01', NULL, 0, '2023-09-05', 0);
INSERT INTO `eas_arc_archives` VALUES (169, 'SAXD6E3367516987398128043', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\other\\SAXD6E3367516987398128043.rar', 'RAR', 'rar', 'other', '2023-09-05 00:48:34', '2023-09-05 00:48:34', NULL, 0, '2023-09-05', 0);
INSERT INTO `eas_arc_archives` VALUES (171, 'SAXF5FC7E3E16998192325015', 'STXF5FC7E3E36M20271021216', 'C:\\Users\\lc/archivesFiles\\STXF5FC7E3E36M20271021216\\SAXF5FC7E3E16998192325215.docx', 'DOCX', NULL, 'prefile', NULL, '2023-09-08 00:17:41', '2028-09-08 00:17:41', NULL, '2023-09-08', 1);
INSERT INTO `eas_arc_archives` VALUES (172, 'SAX7203D17816998199899215', 'STX7203D17836M20271021216', 'C:\\Users\\lc/archivesFiles\\STX7203D17836M20271021216\\SAX7203D17816998199899315.docx', 'DOCX', NULL, 'prefile', NULL, '2023-09-08 00:20:42', '2028-09-08 00:20:42', NULL, '2023-09-08', 1);
INSERT INTO `eas_arc_archives` VALUES (176, 'SAXCA7A837916998565840615', 'STXCA7A837920M20271021212', 'C:\\Users\\lc/archivesFiles\\STXCA7A837920M20271021212\\SAXCA7A837916998565840615.docx', 'DOCX', NULL, 'prefile', NULL, '2023-09-08 02:46:06', '2028-09-08 02:46:06', 1, '2023-09-08', 1);
INSERT INTO `eas_arc_archives` VALUES (177, 'SAXCA7A837916998565813535', 'STXCA7A837920M20271021212', 'C:\\Users\\lc/archivesFiles\\STXCA7A837920M20271021212\\other\\SAXCA7A837916998565813535.png', 'IMAGE', '帅', 'avatar', '2023-09-08 02:46:07', '2023-09-08 02:46:07', '2025-05-08 00:00:00', 1, '2023-09-08', 1);
INSERT INTO `eas_arc_archives` VALUES (198, 'SAXD6E3367516998834632436', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\other\\SAXD6E3367516998834632436.jpeg', 'IMAGE', NULL, 'avatar', '2023-09-08 04:32:57', '2023-09-08 04:32:57', '2025-05-08 00:00:00', 1, '2023-09-08', 1);
INSERT INTO `eas_arc_archives` VALUES (199, 'SAXD6E3367516998840079014', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\SAXD6E3367516998840079014.xlsx', 'XLSX', NULL, 'scores', '2023-09-08 04:35:05', '2023-09-08 04:35:05', '2025-05-08 00:00:00', 1, NULL, 1);
INSERT INTO `eas_arc_archives` VALUES (200, 'SAXD6E3367516998840086414', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\SAXD6E3367516998840086414.xlsx', 'XLSX', NULL, 'attendance', '2023-09-08 04:35:05', '2023-09-08 04:35:05', '2025-05-08 00:00:00', 1, NULL, 1);
INSERT INTO `eas_arc_archives` VALUES (201, 'SAXD6E3367516998840091115', 'STXD6E3367536M2026102128b', 'C:\\Users\\lc/archivesFiles\\STXD6E3367536M2026102128b\\SAXD6E3367516998840091115.docx', 'DOCX', NULL, 'prefile', NULL, '2023-09-08 04:35:05', '2028-09-08 04:35:05', 1, '2023-09-08', 1);

-- ----------------------------
-- Table structure for eas_arc_tls_attendance
-- ----------------------------
DROP TABLE IF EXISTS `eas_arc_tls_attendance`;
CREATE TABLE `eas_arc_tls_attendance`  (
  `id` bigint(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `checkin_date` date NULL DEFAULT NULL COMMENT '签到日期',
  `schedule_id` int(11) NULL DEFAULT NULL COMMENT '排课ID',
  `month` int(10) NULL DEFAULT NULL COMMENT '月份',
  `morning` enum('a','b','c','d','e') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'a  表示正常出勤,   b  表示迟到、早退, c  表示旷课, d  表示请假, e表示无效',
  `afternoon` enum('a','b','c','d','e') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT 'a  表示正常出勤,   b  表示迟到、早退, c  表示旷课, d  表示请假, e表示无效',
  `student_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '学员姓名',
  `student_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '学生档案号',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '出勤档案表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_arc_tls_attendance
-- ----------------------------
INSERT INTO `eas_arc_tls_attendance` VALUES (1, '2023-08-25', 23, 8, 'b', 'b', '岁月', 'STXB9BD493436M202710212b5', 1, '2023-08-28 15:18:00', '2023-08-29 08:02:08');
INSERT INTO `eas_arc_tls_attendance` VALUES (2, '2023-08-25', 23, 8, 'd', 'c', '陈坤', 'STX630A821336M20261021224', 1, '2023-08-28 15:18:44', '2023-08-29 08:02:10');
INSERT INTO `eas_arc_tls_attendance` VALUES (3, '2023-08-25', 23, 8, 'c', 'e', '刘德华', 'STXD6E3367536M2026102128b', 1, '2023-08-28 17:23:00', '2023-08-29 08:02:11');
INSERT INTO `eas_arc_tls_attendance` VALUES (4, '2023-08-25', 24, 8, 'a', 'a', '岁月', 'STXB9BD493436M202710212b5', 1, '2023-08-29 16:29:13', '2023-08-29 16:29:13');
INSERT INTO `eas_arc_tls_attendance` VALUES (5, '2023-08-25', 24, 8, 'c', 'e', '陈坤', 'STX630A821336M20261021224', 1, '2023-08-29 16:33:34', '2023-08-29 16:33:34');
INSERT INTO `eas_arc_tls_attendance` VALUES (6, '2023-08-25', 24, 8, 'b', 'd', '刘德华', 'STXD6E3367536M2026102128b', 1, '2023-09-01 13:38:11', '2023-09-01 13:38:11');
INSERT INTO `eas_arc_tls_attendance` VALUES (7, '2023-08-26', 22, 8, 'c', 'c', '陈坤', 'STX630A821336M20261021224', 1, '2023-08-29 09:26:00', '2023-08-29 08:02:15');
INSERT INTO `eas_arc_tls_attendance` VALUES (8, '2023-08-26', 22, 8, 'd', 'a', '刘德华', 'STXD6E3367536M2026102128b', 1, '2023-08-29 09:26:00', '2023-08-29 08:02:18');
INSERT INTO `eas_arc_tls_attendance` VALUES (9, '2023-09-01', 22, 8, 'c', 'd', '武恒', 'STXCA7A837920M20271021212', 1, '2023-08-31 18:21:05', '2023-09-01 02:20:59');
INSERT INTO `eas_arc_tls_attendance` VALUES (10, '2023-09-08', 25, 9, 'a', 'b', '刘德华', 'STXD6E3367536M2026102128b', 3, '2023-09-07 14:16:16', '2023-09-08 03:18:26');

-- ----------------------------
-- Table structure for eas_arc_tls_scores
-- ----------------------------
DROP TABLE IF EXISTS `eas_arc_tls_scores`;
CREATE TABLE `eas_arc_tls_scores`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `student_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '学员档案',
  `category_id` int(11) NOT NULL COMMENT '类目ID',
  `subject_id` int(11) NOT NULL COMMENT '科目ID',
  `test_date` datetime NOT NULL COMMENT '考试时间',
  `score` decimal(5, 2) NULL DEFAULT NULL COMMENT '分数',
  `pass_rate` decimal(5, 2) NULL DEFAULT NULL COMMENT '通过率',
  `excel_rate` decimal(5, 2) NULL DEFAULT NULL COMMENT '及格率',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `comment` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL COMMENT '考试备注信息  如 第二次考试  第三次考试',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '学员成绩档案表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_arc_tls_scores
-- ----------------------------
INSERT INTO `eas_arc_tls_scores` VALUES (2, 'STXB9BD493436M202710212b5', 1, 20, '2023-08-31 16:45:00', 122.00, NULL, NULL, '2023-08-31 16:46:16', '2023-08-31 16:46:16', NULL, '222222222222222');
INSERT INTO `eas_arc_tls_scores` VALUES (3, 'STXD6E3367536M2026102128b', 1, 12, '2023-08-31 16:53:00', 100.00, NULL, NULL, '2023-08-31 16:53:36', '2023-08-31 16:53:36', 0, '好好学习 天天向上');
INSERT INTO `eas_arc_tls_scores` VALUES (4, 'STX630A821336M20261021224', 1, 12, '2023-08-31 16:55:00', 90.00, NULL, NULL, '2023-08-31 16:55:58', '2023-08-31 08:59:07', 0, '继续努力');
INSERT INTO `eas_arc_tls_scores` VALUES (7, 'STXD6E3367536M2026102128b', 1, 20, '2023-08-31 17:07:47', 90.00, NULL, NULL, '2023-08-31 17:07:47', '2023-08-31 17:07:47', 0, '加油吧');
INSERT INTO `eas_arc_tls_scores` VALUES (8, 'STX630A821336M20261021224', 1, 20, '2023-08-31 18:27:01', 100.00, NULL, NULL, '2023-08-31 18:27:01', '2023-08-31 18:27:01', 1, '学的非常号');
INSERT INTO `eas_arc_tls_scores` VALUES (9, 'STXD6E3367536M2026102128b', 1, 16, '2023-09-01 13:39:00', 90.00, NULL, NULL, '2023-09-01 13:39:00', '2023-09-01 13:39:00', 1, '非常好');

-- ----------------------------
-- Table structure for eas_arc_tls_students
-- ----------------------------
DROP TABLE IF EXISTS `eas_arc_tls_students`;
CREATE TABLE `eas_arc_tls_students`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `archive_number` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '对应的文件档案号',
  `student_number` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '归属的学员档案号',
  `student_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生姓名',
  `gender` enum('M','F') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生性别',
  `birthdate` date NOT NULL COMMENT '学生出生日期',
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生居住地址',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生联系电话',
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生电子邮箱',
  `enrollment_date` date NOT NULL COMMENT '学生入学进入培训班日期',
  `graduation_date` date NULL DEFAULT NULL COMMENT '学生在培训班毕业日期',
  `grade` int(11) NULL DEFAULT NULL COMMENT '学生年级',
  `major` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生专业',
  `minor` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生辅修专业',
  `university` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生所在学校',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `admissions_id` int(11) NULL DEFAULT NULL COMMENT '招生老师',
  `manager_id` int(11) NULL DEFAULT NULL COMMENT '直属负责人ID',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `student_idnumber` varchar(18) CHARACTER SET armscii8 COLLATE armscii8_general_ci NOT NULL DEFAULT '' COMMENT '学生身份证号',
  `graduation` enum('Y','N') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT 'N',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '学员基本信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_arc_tls_students
-- ----------------------------
INSERT INTO `eas_arc_tls_students` VALUES (9, 'SA212619870230819153454315', 'STXB9BD493436M202710212b5', '岁月', 'M', '2023-08-24', '佳木斯', '13312341234', 'qq@qq.com', '2023-08-10', '2023-08-03', NULL, NULL, NULL, '黑龙江大学', NULL, '2023-09-01 06:52:36', 1, 1, NULL, '232126198703194770', 'N');
INSERT INTO `eas_arc_tls_students` VALUES (14, 'SA212619870230821175332815', 'STX630A821336M20261021224', '陈坤', 'M', '1987-02-20', '南岗区 128号', '13312341234', '123@qq.com', '2022-12-12', '2022-12-12', NULL, '计算机应用', '财会', '黑龙江大学', NULL, NULL, 1, 1, NULL, '232126198703194770', 'N');
INSERT INTO `eas_arc_tls_students` VALUES (16, 'SA212619870230822164322015', 'STXD6E3367536M2026102128b', '刘德华', 'M', '1987-02-20', '南岗区 128号', '13312341234', '123@qq.com', '2022-12-12', '2022-12-12', NULL, '计算机应用', '财会', '黑龙江大学', NULL, '2023-09-07 15:35:40', 1, 1, NULL, '232126198703194770', 'Y');
INSERT INTO `eas_arc_tls_students` VALUES (17, 'SA2126200302308281111160615', 'STXCA7A837920M20271021212', '武恒', 'F', '2023-08-28', '西大直街 118号', '15312344321', '112288@163.com', '2023-08-31', '2023-08-31', NULL, NULL, NULL, '黑龙江大学', NULL, '2023-09-07 20:12:00', 1, 1, NULL, '232126200303134770', 'N');

-- ----------------------------
-- Table structure for eas_edu_category
-- ----------------------------
DROP TABLE IF EXISTS `eas_edu_category`;
CREATE TABLE `eas_edu_category`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学科名称',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学科描述',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name` ASC) USING BTREE,
  UNIQUE INDEX `id`(`id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '课程类别表 比如 前端 后端 大数据' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_edu_category
-- ----------------------------
INSERT INTO `eas_edu_category` VALUES (1, '后端', '后端Java技术', '2023-08-22 10:42:00', '2023-08-22 10:42:00', NULL, 'N');
INSERT INTO `eas_edu_category` VALUES (2, '前端', '前端技术栈', '2023-08-30 13:53:25', '2023-08-30 13:53:25', NULL, 'N');

-- ----------------------------
-- Table structure for eas_edu_class
-- ----------------------------
DROP TABLE IF EXISTS `eas_edu_class`;
CREATE TABLE `eas_edu_class`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '班级ID',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '班级名称',
  `manage_id` int(11) NOT NULL COMMENT '班级负责人ID',
  `assistant_id` int(11) NULL DEFAULT NULL COMMENT '助教老师ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '班级表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_edu_class
-- ----------------------------
INSERT INTO `eas_edu_class` VALUES (1, 'VIP21', 1, NULL, '2023-08-21 13:25:00', '2023-08-24 09:28:26', 1, 'N');
INSERT INTO `eas_edu_class` VALUES (3, 'VIP20', 2, NULL, '2023-08-21 23:52:44', '2023-08-21 23:52:44', 1, 'N');
INSERT INTO `eas_edu_class` VALUES (4, 'VIP21', 2, NULL, '2023-09-07 14:21:23', '2023-09-07 14:21:23', 2, 'N');

-- ----------------------------
-- Table structure for eas_edu_classroom
-- ----------------------------
DROP TABLE IF EXISTS `eas_edu_classroom`;
CREATE TABLE `eas_edu_classroom`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '教室名',
  `manager_id` int(11) NULL DEFAULT NULL COMMENT '教室负责人ID',
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '教室所在地址',
  `manager` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '教室负责人',
  `floor` int(11) NULL DEFAULT 0 COMMENT '教室所在楼层',
  `capacity` int(11) NULL DEFAULT 0 COMMENT '教室的容量',
  `comment` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '备注信息',
  `disabled` enum('Y','N') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '是否禁用',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '教室信息表\r\n' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_edu_classroom
-- ----------------------------
INSERT INTO `eas_edu_classroom` VALUES (1, '哈特五楼', 1, '中央大街11号', NULL, 12, 20, '1到3楼不能坐电梯', 'N', '2023-08-22 03:17:00', '2023-08-22 11:29:32', 1);
INSERT INTO `eas_edu_classroom` VALUES (2, '邮政4楼', 2, '南岗区邮政大街 608号', NULL, 40, 20, '附近不能停车', 'Y', '2023-08-22 11:31:00', '2023-08-28 10:10:33', 1);
INSERT INTO `eas_edu_classroom` VALUES (3, '红旗家具城3楼', 1, '红旗大街 123号', NULL, 12, 22, '空 没有人', 'N', '2023-08-22 13:44:40', '2023-08-22 13:44:40', 1);

-- ----------------------------
-- Table structure for eas_edu_clt_relation
-- ----------------------------
DROP TABLE IF EXISTS `eas_edu_clt_relation`;
CREATE TABLE `eas_edu_clt_relation`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `class_id` bigint(20) NOT NULL COMMENT '班级ID',
  `student_id` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '学员ID',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `type` enum('正式','旁听','留级','休学','暂停','其他') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '正式' COMMENT '类别',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 97 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '班级关联学员表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_edu_clt_relation
-- ----------------------------
INSERT INTO `eas_edu_clt_relation` VALUES (90, 3, 16, '2023-08-28 10:07:55', NULL, 0, '正式');
INSERT INTO `eas_edu_clt_relation` VALUES (91, 3, 14, '2023-08-28 10:07:55', NULL, 0, '正式');
INSERT INTO `eas_edu_clt_relation` VALUES (92, 1, 16, '2023-08-28 10:08:00', '2023-08-28 02:08:45', 0, '旁听');
INSERT INTO `eas_edu_clt_relation` VALUES (93, 1, 14, '2023-08-28 10:08:00', '2023-08-28 02:08:50', 0, '留级');
INSERT INTO `eas_edu_clt_relation` VALUES (94, 1, 9, '2023-08-28 10:09:00', NULL, 0, '正式');
INSERT INTO `eas_edu_clt_relation` VALUES (95, 3, 17, '2023-08-31 18:16:02', '2023-09-06 08:16:55', 1, '旁听');
INSERT INTO `eas_edu_clt_relation` VALUES (96, 4, 17, '2023-09-07 14:34:48', NULL, 2, '正式');

-- ----------------------------
-- Table structure for eas_edu_schedule
-- ----------------------------
DROP TABLE IF EXISTS `eas_edu_schedule`;
CREATE TABLE `eas_edu_schedule`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `week` int(11) NULL DEFAULT NULL COMMENT '当周周几',
  `start_time` datetime NULL DEFAULT NULL COMMENT '起始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `room_id` int(11) NULL DEFAULT NULL COMMENT '教室ID',
  `class_id` int(11) NULL DEFAULT NULL COMMENT '班级ID',
  `assistant_id` int(11) NULL DEFAULT NULL COMMENT '助教ID',
  `teacher_id` int(11) NULL DEFAULT NULL COMMENT '教师ID',
  `category_id` int(11) NULL DEFAULT NULL COMMENT '授课类别',
  `subjects_id` int(11) NULL DEFAULT NULL COMMENT '授课内容',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `INDEX_SCHEDULE_START_TIME_TEACHER`(`start_time` ASC, `teacher_id` ASC, `room_id` ASC) USING BTREE COMMENT '教师同一个时间不能重复'
) ENGINE = InnoDB AUTO_INCREMENT = 27 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin COMMENT = '排课信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_edu_schedule
-- ----------------------------
INSERT INTO `eas_edu_schedule` VALUES (22, 6, '2023-08-26 11:00:00', '2023-08-26 12:00:00', 2, 3, 1, 2, 1, 16, '2023-08-28 12:40:13', '2023-08-31 07:01:28', 0, 'N');
INSERT INTO `eas_edu_schedule` VALUES (24, 5, '2023-08-25 09:00:00', '2023-08-25 10:00:00', 3, 1, 2, 2, 1, 20, '2023-08-28 12:42:22', '2023-08-28 12:42:22', 0, 'N');
INSERT INTO `eas_edu_schedule` VALUES (25, 4, '2023-08-24 09:30:00', '2023-08-24 09:50:00', 1, 3, 1, 1, 1, 12, '2023-08-24 11:53:25', '2023-09-07 20:14:15', 0, 'N');

-- ----------------------------
-- Table structure for eas_edu_subjects
-- ----------------------------
DROP TABLE IF EXISTS `eas_edu_subjects`;
CREATE TABLE `eas_edu_subjects`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学科名称',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学科描述',
  `category_id` int(11) NULL DEFAULT NULL COMMENT '学科分类',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name` ASC) USING BTREE,
  UNIQUE INDEX `id`(`id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 26 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '科目表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_edu_subjects
-- ----------------------------
INSERT INTO `eas_edu_subjects` VALUES (12, 'Java 基础', 'Java 基础', 1, '2023-08-01 14:23:00', '2023-08-30 06:29:35', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (13, 'Java 高级', 'Java 高级', 1, '2023-08-02 14:23:00', '2023-08-30 06:29:37', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (15, 'Java Spring', 'Java Spring', 1, '2023-08-04 14:23:00', '2023-08-30 06:29:40', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (16, 'Java Redis', 'Java Redis', 1, '2023-08-04 14:23:00', '2023-08-30 06:29:42', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (20, 'Java 微服务', 'Java 微服务', 1, '2023-08-05 14:23:00', '2023-08-30 06:29:45', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (22, 'React 技术栈', 'React 技术栈 全家桶', 2, '2023-08-30 14:42:27', '2023-08-30 14:42:27', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (23, 'Vue3 课程', 'Vue3 课程', 2, '2023-08-30 17:51:35', '2023-08-30 17:51:35', NULL, 'N');
INSERT INTO `eas_edu_subjects` VALUES (24, 'HTML 基础', 'HTML 基础', 2, '2023-08-31 18:24:57', '2023-08-31 18:24:57', NULL, 'N');

-- ----------------------------
-- Table structure for eas_sys_dep_relation
-- ----------------------------
DROP TABLE IF EXISTS `eas_sys_dep_relation`;
CREATE TABLE `eas_sys_dep_relation`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `department_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '部门ID',
  `user_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '用户ID',
  `student_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '学员ID',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 21 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '部门和用户关系表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_sys_dep_relation
-- ----------------------------
INSERT INTO `eas_sys_dep_relation` VALUES (1, 1, 1, 0, '2023-07-28 08:38:41', 1);
INSERT INTO `eas_sys_dep_relation` VALUES (3, 3, 3, 0, '2023-09-07 06:13:57', 1);
INSERT INTO `eas_sys_dep_relation` VALUES (11, 2, 2, 0, NULL, 1);
INSERT INTO `eas_sys_dep_relation` VALUES (18, 4, 0, 17, NULL, 1);
INSERT INTO `eas_sys_dep_relation` VALUES (19, 4, 0, 14, NULL, 1);
INSERT INTO `eas_sys_dep_relation` VALUES (20, 4, 0, 9, NULL, 1);

-- ----------------------------
-- Table structure for eas_sys_department
-- ----------------------------
DROP TABLE IF EXISTS `eas_sys_department`;
CREATE TABLE `eas_sys_department`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `depname` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '部门名称',
  `authority` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '权限名',
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '部门地址',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '部门电话',
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '部门电子邮箱',
  `manager` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '部门负责人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `depname`(`depname` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 34 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_sys_department
-- ----------------------------
INSERT INTO `eas_sys_department` VALUES (1, '系统开发组', 'admin', '哈特大厦6楼', NULL, NULL, NULL, '2023-09-07 06:12:00', '2023-09-07 15:15:00', NULL, 'N');
INSERT INTO `eas_sys_department` VALUES (2, '教务管理组', 'easgroup', '哈特大厦6楼', NULL, NULL, NULL, '2023-08-22 10:42:00', '2023-09-07 06:12:58', 1, 'N');
INSERT INTO `eas_sys_department` VALUES (3, '教学讲师组', 'teacher', '中国 黑龙江省 哈尔滨市 南岗区', NULL, NULL, NULL, '2023-07-28 08:51:00', '2023-09-07 17:19:09', 1, 'N');
INSERT INTO `eas_sys_department` VALUES (4, '爱扣订学员', 'student', '哈特大厦6楼', NULL, NULL, NULL, '2023-09-05 02:06:03', '2023-09-07 06:12:56', 1, 'N');

-- ----------------------------
-- Table structure for eas_sys_logs
-- ----------------------------
DROP TABLE IF EXISTS `eas_sys_logs`;
CREATE TABLE `eas_sys_logs`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增的主键',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录日志的时间戳',
  `level` varchar(10) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '日志级别',
  `logger` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '记录日志的代码名称或类名',
  `message` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '日志信息',
  `exception` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '如果日志记录了异常信息，可以将其存储在此列中',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '系统日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_sys_logs
-- ----------------------------

-- ----------------------------
-- Table structure for eas_sys_student
-- ----------------------------
DROP TABLE IF EXISTS `eas_sys_student`;
CREATE TABLE `eas_sys_student`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `student_number` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学员档案号',
  `student_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生姓名',
  `gender` enum('M','F') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生性别',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生联系电话',
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生电子邮箱',
  `enrollment_date` date NULL DEFAULT NULL COMMENT '学生入学日期',
  `passwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学生密码',
  `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '学员头像',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `admissions_id` int(11) NULL DEFAULT NULL COMMENT '招生老师',
  `manager_id` int(11) NULL DEFAULT NULL COMMENT '直属负责人ID',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '学员基本信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_sys_student
-- ----------------------------
INSERT INTO `eas_sys_student` VALUES (9, 'STXB9BD493436M202710212b5', '岁月', 'M', '13312341234', 'qq@qq.com', '2023-08-10', '$2a$10$xX7HrI4MdOUhhZ1sF0djzeEw0mpAWail8jbK8ptE9VWVwsXv.fSta', '占位图片.jpg', NULL, '2023-09-07 08:05:40', 1, 1, 1, 'N');
INSERT INTO `eas_sys_student` VALUES (14, 'STX630A821336M20261021224', '陈坤', 'M', '13312341234', '123@qq.com', '2022-12-12', '$2a$10$QOEK92mCzZZ8DACPv8Tb4ekc9uQlfchEXcowM/aJZrJ90kJOAtSP2', '占位图片.jpg', NULL, '2023-08-24 08:55:24', 1, 1, 1, 'N');
INSERT INTO `eas_sys_student` VALUES (16, 'STXD6E3367536M2026102128b', '刘德华', 'M', '13312341234', '123@qq.com', '2022-12-12', '$2a$10$NckqU0xLqWWbppDEKJ04cutdtxL2N2E3loZbDmG8tmSp4irFVAtty', 'C:\\Users\\lc/archivesCache\\STXD6E3367536M2026102128b\\SAXD6E3367516998834632436.jpeg', NULL, '2023-09-07 20:32:54', 1, 1, 1, 'N');
INSERT INTO `eas_sys_student` VALUES (17, 'STXCA7A837920M20271021212', '武恒', 'F', '15312344321', '112288@163.com', '2023-08-31', '$2a$10$8gYhWz7JoAmPtnLdW0E.eeGYDvxdcIBD568f8d0L3aR4Kb2jxY43m', 'C:\\Users\\lc/archivesFiles\\STXCA7A837920M20271021212\\other\\SAXCA7A837916998565813535.png', NULL, '2023-09-07 18:46:05', 1, 1, 1, 'N');

-- ----------------------------
-- Table structure for eas_sys_university
-- ----------------------------
DROP TABLE IF EXISTS `eas_sys_university`;
CREATE TABLE `eas_sys_university`  (
  `university_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '大学编码',
  `university_title` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '学校名',
  PRIMARY KEY (`university_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of eas_sys_university
-- ----------------------------

-- ----------------------------
-- Table structure for eas_sys_userinfo
-- ----------------------------
DROP TABLE IF EXISTS `eas_sys_userinfo`;
CREATE TABLE `eas_sys_userinfo`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `username` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '用户名',
  `passwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '密码',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '电子邮件',
  `relname` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '姓名',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '电话',
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '地址',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `create_uid` int(11) NULL DEFAULT NULL COMMENT '创建用户ID',
  `disabled` enum('Y','N') CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `username`(`username` ASC) USING BTREE,
  UNIQUE INDEX `email`(`email` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '用户表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of eas_sys_userinfo
-- ----------------------------
INSERT INTO `eas_sys_userinfo` VALUES (1, 'admin', '$2a$10$SEw8IaWh7.3NO1snYSNQEubQfK67Ir/qhawST9uzTEaAuQetbt/qu', 'dev@edu.koobietech.com', '爱扣钉', '13836159637', '朗威大厦', '2023-07-28 08:38:00', '2023-09-07 17:04:39', 1, 'N');
INSERT INTO `eas_sys_userinfo` VALUES (2, 'wangyan', '$2a$10$yPKOK3GuSuvaUQ0SwEhMXeXoWGpftLEEXX5CRB5REP0CRSKql.44O', 'wangyan@qq.com', '王雁', '13366613570', NULL, '2023-09-07 14:05:22', '2023-09-07 12:26:00', 1, 'N');
INSERT INTO `eas_sys_userinfo` VALUES (3, 'chenchen', '$2a$10$DEi4cj4Sg6ruGkLmDWV7cO7AK2XzJO.6J2VfVZgyMGVyhrmfCars2', 'chenchen@qq.com', '陈晨', '13366613579', NULL, '2023-09-07 14:05:43', '2023-09-07 12:26:02', 1, 'N');

-- ----------------------------
-- View structure for eas_sys_roleusers
-- ----------------------------
DROP VIEW IF EXISTS `eas_sys_roleusers`;
CREATE ALGORITHM = UNDEFINED SQL SECURITY DEFINER VIEW `eas_sys_roleusers` AS select `eas_sys_userinfo`.`id` AS `id`,'用户' AS `type`,`eas_sys_userinfo`.`relname` AS `username` from `eas_sys_userinfo` where (`eas_sys_userinfo`.`disabled` = 'N') union all select `eas_sys_student`.`id` AS `id`,'学生' AS `type`,`eas_sys_student`.`student_name` AS `username` from `eas_sys_student` where (`eas_sys_student`.`disabled` = 'N');

SET FOREIGN_KEY_CHECKS = 1;
